Name:		fglc
Version:	0.1.16
Release:	%mkrel 2
Summary:	FlightGear Launch Control
License:	GPLv2+
Group:		Games/Other
Source:		http://sourceforge.net/projects/fglc/files/stable/%{name}-%{version}.tar.lzma
Url:		http://sourceforge.net/projects/fglc

BuildArch:	noarch
BuildRequires:	gambas3-devel >= 2.99.4
BuildRequires:	gambas3-gb-net >= 2.99.4
BuildRequires:	gambas3-gb-net-curl >= 2.99.4
BuildRequires:	gambas3-gb-image >= 2.99.4
BuildRequires:	gambas3-gb-form >= 2.99.4
BuildRequires:	gambas3-gb-qt4 >= 2.99.4
BuildRequires:	gambas3-gb-qt4-ext >= 2.99.4
BuildRequires:	gambas3-gb-qt4-webkit >= 2.99.4
BuildRequires:	gambas3-gb-desktop >= 2.99.4
BuildRequires:	desktop-file-utils

Requires:	gambas3-runtime >= 2.99.4
Requires:	gambas3-gb-net >= 2.99.4
Requires:	gambas3-gb-net-curl >= 2.99.4
Requires:	gambas3-gb-image >= 2.99.4
Requires:	gambas3-gb-form >= 2.99.4
Requires:	gambas3-gb-form-stock >= 2.99.4
Requires:	gambas3-gb-qt4 >= 2.99.4
Requires:	gambas3-gb-qt4-ext >= 2.99.4
Requires:	gambas3-gb-qt4-webkit >= 2.99.4
Requires:	gambas3-gb-desktop >= 2.99.4
Requires:	procps >= 3.2.8-6
Requires:       coreutils
Requires:       grep
Requires:       gawk
Requires:       rsync
Suggests:	flightgear

%description
fglc is a graphical frontend to allow people to launch FlightGear
easily.

%prep
%setup -q

%build
gbc3 -a -v -t -g -e
gba3 -o %{name}-%{version}.gambas ../%{name}-%{version}

%install
rm -fr %{buildroot}
install -m 755 -D %{name}-%{version}.gambas %{buildroot}%{_gamesbindir}/%{name}.gambas
install -m 755 -D %{name}-icon-48.png %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A FlightGear launcher
Comment[it]=Una interfaccia grafica per avviare FlightGear
Exec=%{name}.gambas
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Simulation;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc .hidden/COPYING
%{_gamesbindir}/%{name}.gambas
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.16-2.mga4
+ Revision: 522171
- Mageia 4 Mass Rebuild

* Mon Feb 11 2013 matteo <matteo> 0.1.16-1.mga3
+ Revision: 397805
- fixed description and desktop file
- imported package fglc

